Bug 726123 - Unable to use "--continue" option with "ipa automountkey-del".
Summary: Unable to use "--continue" option with "ipa automountkey-del".
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-27 15:30 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:50 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: automountkey-del has a --continue option but it doesn't do anything. Consequence: The option doesn't make sense for automount and is confused. Fix: Hide the option from the command-line. It is still in the API but not visible to end-users. Result: The option will be deprecated in the next major release.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:25:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-07-27 15:30:15 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.0.99-5.20110726T0531zgit9a4ce98.el6.x86_64

How reproducible:


Steps to Reproduce:
# ipa help automountkey-del
Purpose: Delete an automount key.
Usage: ipa [global-options] automountkey-del AUTOMOUNTLOCATION AUTOMOUNTMAP [options]

Options:
  -h, --help     show this help message and exit
  --continue     Continuous mode: Don't stop on errors.
  --key=IA5STR   Automount key name.
  --info=IA5STR  Mount information
  
Actual results:
There is no way to provide multiple keys or info values during "ipa automountkey-del" operation which makes "--continue" option of no use.

Expected results:
--continue option should be dropped.

Additional info:

Comment 2 Rob Crittenden 2011-07-27 18:55:33 UTC
https://fedorahosted.org/freeipa/ticket/1529

Comment 3 Rob Crittenden 2011-08-16 13:50:53 UTC
master: 07837082f4221e070c40617a5b36807ea80bed46

ipa-2-0: 63f7bc6182934268e9ecceacb260173ae47d7d0d

Comment 5 Gowrishankar Rajaiyan 2011-10-08 13:35:54 UTC
[root@bumblebee ~]# ipa help automountkey-del
Purpose: Delete an automount key.
Usage: ipa [global-options] automountkey-del AUTOMOUNTLOCATION AUTOMOUNTMAP [options]

Options:
  -h, --help     show this help message and exit
  --key=IA5STR   Automount key name.
  --info=IA5STR  Mount information
[root@bumblebee ~]# 


[root@bumblebee ~]# rpm -qi ipa-server
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.1.2                             Vendor: Red Hat, Inc.
Release     : 2.el6                         Build Date: Fri 07 Oct 2011 05:09:04 PM EDT
Install Date: Sat 08 Oct 2011 07:36:33 AM EDT      Build Host: x86-001.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.1.2-2.el6.src.rpm
Size        : 3363225                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Comment 6 Rob Crittenden 2011-10-31 21:22:55 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: automountkey-del has a --continue option but it doesn't do anything.
Consequence: The option doesn't make sense for automount and is confused.
Fix: Hide the option from the command-line. It is still in the API but not visible to end-users.
Result: The option will be deprecated in the next major release.

Comment 7 errata-xmlrpc 2011-12-06 18:25:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.